# Copyright (C) 2020 Jørgen Schartum Dokken
#
# This file is part of DOLFINX_MPC
#
# SPDX-License-Identifier:    MIT
"""Helper functions for tests in Dolfinx mpc"""

# flake8: noqa
from __future__ import annotations

from .mpc_utils import (
    create_normal_approximation,
    create_point_to_point_constraint,
    determine_closest_block,
    facet_normal_approximation,
    log_info,
    rigid_motions_nullspace,
    rotation_matrix,
)
from .test import (
    compare_CSR,
    compare_mpc_lhs,
    compare_mpc_rhs,
    gather_constants,
    gather_PETScMatrix,
    gather_PETScVector,
    gather_transformation_matrix,
    get_assemblers,
)

__all__ = [
    "get_assemblers",
    "gather_PETScVector",
    "gather_PETScMatrix",
    "compare_mpc_lhs",
    "compare_mpc_rhs",
    "gather_transformation_matrix",
    "compare_CSR",
    "gather_constants",
    "rotation_matrix",
    "facet_normal_approximation",
    "log_info",
    "rigid_motions_nullspace",
    "determine_closest_block",
    "create_normal_approximation",
    "create_point_to_point_constraint",
]
